com.independentsoft.exchange

## Class Reminder

- java.lang.Object
- - com.independentsoft.exchange.Reminder

-     public class Reminder
      extends java.lang.Object

  The Class Reminder.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Reminder()` Instantiates a new reminder.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getEndTime()` Gets the end time.
    `ReminderGroup` | `getGroup()` Gets the group.
    `ItemId` | `getItemId()` Gets the item id.
    `java.lang.String` | `getLocation()` Gets the location.
    `ItemId` | `getRecurringMasterItemId()` Gets the recurring master item id.
    `java.util.Date` | `getStartTime()` Gets the start time.
    `java.lang.String` | `getSubject()` Gets the subject.
    `java.util.Date` | `getTime()` Gets the time.
    `java.lang.String` | `getUid()` Gets the uid.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Reminder

          public Reminder()

      Instantiates a new reminder.

  - ### Method Detail

    - #### getSubject

          public java.lang.String getSubject()

      Gets the subject.
      Returns:
        the subject

    - #### getLocation

          public java.lang.String getLocation()

      Gets the location.
      Returns:
        the location

    - #### getTime

          public java.util.Date getTime()

      Gets the time.
      Returns:
        the time

    - #### getStartTime

          public java.util.Date getStartTime()

      Gets the start time.
      Returns:
        the start time

    - #### getEndTime

          public java.util.Date getEndTime()

      Gets the end time.
      Returns:
        the end time

    - #### getItemId

          public ItemId getItemId()

      Gets the item id.
      Returns:
        the item id

    - #### getRecurringMasterItemId

          public ItemId getRecurringMasterItemId()

      Gets the recurring master item id.
      Returns:
        the recurring master item id

    - #### getGroup

          public ReminderGroup getGroup()

      Gets the group.
      Returns:
        the group

    - #### getUid

          public java.lang.String getUid()

      Gets the uid.
      Returns:
        the uid